<?php

namespace Drupal\performance_budget\Form;

use Drupal\performance_budget\Controller\AggregateBatchController;
use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\web_page_archive\Entity\WebPageArchiveInterface;

/**
 * Compares web page archive capture runs.
 */
class AggregateRunDataForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'pb_aggregate_runs';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state, WebPageArchiveInterface $web_page_archive = NULL) {
    $this->webPageArchive = $web_page_archive;
    $form['instructions'] = [
      '#markup' => $this->t('Process the button below to process all captured webpagetest.org data for this job.'),
    ];
    $form['actions'] = [
      '#type' => 'actions',
      'submit' => [
        '#type' => 'submit',
        '#value' => $this->t('Process data'),
        '#button_type' => 'primary',
      ],
    ];
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    AggregateBatchController::enqueueJobRunData($this->webPageArchive);
    AggregateBatchController::setBatch($this->webPageArchive);
    $form_state->setRedirect('entity.web_page_archive.pb_wpt_history', ['web_page_archive' => $this->webPageArchive->id()]);
  }

}
